﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SpectacleTransformer {
    public class Language {
        public readonly string DisplayName;
        public readonly string SourceName;
        public readonly string TargetName;

        public Language(string DisplayName, string SourceName = null, string TargetName = null) {
            if (SourceName == null && TargetName == null) {
                throw new ArgumentNullException("TargetName", "SourceName and TargetName cannot be null simultaneously.");
            }
            this.DisplayName = DisplayName;
            this.SourceName = SourceName;
            this.TargetName = TargetName;
        }

        public Language(string DisplayName, string SourceName)
            : this(DisplayName, SourceName, null) {
        }
        
        public override string ToString() {
            return this.DisplayName;
        }
    }
}
